<div class="form-row">
  <div class="col-4">
    <label for="regiones">Regiones</label><br/>
    <select [(ngModel)]="regionSeleccionada" (ngModelChange)="onChangeRegion()">
      <option [value]="0">Selecciona una región</option>
      <option *ngFor="let r of listaRegiones; let i = index" [value]="listaRegiones[i].id">
        {{listaRegiones[i].nombreRegion}}
      </option>
    </select>
  </div>
</div>

<div class="form-row" style="margin-top: 30px">
  <div class="col-4">
    <label for="comunas">Comuna</label><br/>
    <select [(ngModel)]="comunaSeleccionada" (ngModelChange)="onChangeRegion($event)">
        {{listaComunas}}
    </select>
  </div>
</div>

<div class="form-row" style="margin-top: 30px">
  <div class="col-4">
    <label for="nombreLocal">Nombre Local</label><br/>
    <select id="nombreLocal" name="nombreLocal" [(ngModel)]="nLocalSeleccionado">
        <option [value]="null">Selecciona un nombre de local</option>
        <option *ngFor="let r of listaNombres; let i = index" [value]="listaNombres[i]">
          {{listaNombres[i]}}
        </option>
    </select>
  </div>
</div>

<div class="form-row" style="margin-top: 30px">
  <div class="col-4">
    <button (click)="buscarLocal()">Buscar</button>
  </div>
</div>

<div class="form-row" style="margin-top: 30px" *ngIf="showData">
  <div class="col-12">
    <label>Nombre: </label><span>{{listaLocalesFiltrada[0].local_nombre}}</span><br/>
    <label>Teléfono: </label><span>{{listaLocalesFiltrada[0].local_telefono}}</span><br/>
    <label>Dirección: </label><span>{{listaLocalesFiltrada[0].local_direccion}}</span><br/>
  </div>

  <div class="col-12">
      <agm-map [latitude]="lat" [longitude]="long" style="height: 300px;">
          <agm-marker [latitude]="lat" [longitude]="long"></agm-marker>
        </agm-map>
  </div>
</div>
